org.kie.api.definition.process

## Interface Process

- All Superinterfaces:
    KieDefinition
  All Known Subinterfaces:
    WorkflowProcess

      public interface Process
      extends KieDefinition

  A Process represents one modular piece of business logic that can be executed by a process engine. Different types of processes may exist.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.definition.KieDefinition

      `KieDefinition.KnowledgeType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` The unique id of the Process.
    `Map<String,Object>` | `getMetaData()` Meta data associated with this Node.
    `String` | `getName()` The name of the Process.
    `String` | `getPackageName()` The package name of this process.
    `Resource` | `getResource()`
    `String` | `getType()` The type of process.
    `String` | `getVersion()` The version of the Process.
    `void` | `setResource(Resource res)`

    - ### Methods inherited from interface org.kie.api.definition.KieDefinition

      `getKnowledgeType, getNamespace`

- - ### Method Detail

    - #### getId

          String getId()

      The unique id of the Process.
      Specified by:
        `getId` in interface `KieDefinition`
      Returns:
        the id

    - #### getName

          String getName()

      The name of the Process.
      Returns:
        the name

    - #### getVersion

          String getVersion()

      The version of the Process. You may use your own versioning format (as the version is not interpreted by the engine).
      Returns:
        the version

    - #### getPackageName

          String getPackageName()

      The package name of this process.
      Returns:
        the package name

    - #### getType

          String getType()

      The type of process. Different types of processes may exist. This defaults to "RuleFlow".
      Returns:
        the type

    - #### getMetaData

          Map<String,Object> getMetaData()

      Meta data associated with this Node.

    - #### getResource

          Resource getResource()

    - #### setResource

          void setResource(Resource res)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.